Download it now!
Bug 80651 - Addition of 'Single Page' button to Page Preview Toolbar
Summary: Addition of 'Single Page' button to Page Preview Toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium enhancement
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Writer-Toolbar-PrintPreview Page-View
  Show dependency treegraph
 
Reported: 2014-06-28 21:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-24 12:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
single page icon created in mockup (2.25 KB, image/x-xcf)
2014-07-04 14:22 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-28 21:52:55 UTC
The current page preview toolbar has 'two pages' and 'multi pages' buttons, so i'd like to suggest a 'single page' icon, which basically just runs View > Zoom > Entire Page.
Comment 1 Dominik 2014-06-28 22:24:41 UTC
as the 2 page preview is just a "shortcut" to the behavior of page-preview: multiple pages with a 1:2 selection, i guess it's a valid request, as the single paged preview is gonna be used as often as the 2 paged?
Comment 2 Yousuf Philips (jay) (retired) 2014-06-30 13:22:53 UTC
Setting this to NEW as Dominik forgot to.
Comment 3 Yousuf Philips (jay) (retired) 2014-07-03 01:21:20 UTC
I think a blank version of .uno:InsertDoc would look the best for the 'single page' icon for writer's page preview toolbar. I have been using .uno:AddDirect as a substitute for myself.
Comment 4 Jorendc 2014-07-03 12:04:24 UTC
Oxygen and Crystal theme does need another icon then the AddDirect one.
@Jay: any chance you know what icon we can use for this themes?

Patch under review: https://gerrit.libreoffice.org/#/c/10053/
Comment 5 Yousuf Philips (jay) (retired) 2014-07-04 14:22:42 UTC
Created attachment 102272 [details]
single page icon created in mockup

I dont think AddDirect should be used as it doesnt fit in with the buttons next to it. I new icon needs to be created and added to uno. I have included the icon i created for the mockup, but the UX team would need to create a proper one.
Comment 6 Commit Notification 2014-07-21 08:30:20 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c38b40c0101e2607deb53690205fa889f06f3440

fdo#80651 - Add 'Single Page' button to Page Preview Toolbar



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Yousuf Philips (jay) (retired) 2014-11-11 20:58:35 UTC
Pushed a patch to add the tango icon i previously supplied in comment 5 and also added in a new oxygen icon. https://gerrit.libreoffice.org/12369
Comment 8 Commit Notification 2014-11-12 11:03:46 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84f7f412bfc9e18b1ff8b133ceda7757eae28c36

fdo#80651 replaced oxygen icon and added new tango icon for single page

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.